## Rodando localmente

Clone o projeto

```bash
  git clone ssh://git@gitlab.fslab.dev:4241/f-brica-de-software-ii-2024-1/visualizacao-sala.git
```

Entre no diretório do projeto

```bash
  cd visualizacao-sala
```

Instale as dependências

```bash
  npm install
```

Inicie o servidor

```bash
  npm run dev
```

## Variáveis de Ambiente

Para rodar esse projeto, use o .env example para utilizar o exemplo de como configurar o banco. Crie o banco usando o script dentro da pasta uml para em seguida colocar o banco em funcionamento e rodar a API.

# Modelo de Projeto de Software - AGENDAMENTO DE SALAS DE AULA

Modelo de Projeto de Software para a Disciplina da Fábrica de Software.

## Objetivo

O Objetivo deste Projeto é criar um site de visualização de salas para gerenciamento e reserva de salas de aula. Onde deve gerenciar salas de aula, docentes e servidores do DAPE.

## Requisitos funcionais do sistema:

### Registro de conta:
<br>RF01 - O sistema deve permitir o registro de conta de servidores do DAPE e o envio da solicitação para aprovação por parte do DAPE;
<br>RF02 - O sistema deve permitir o registro de conta de docentes e o envio da solicitação para aprovação por parte do DAPE;
<br>RF03 - O sistema deve permitir que qualquer servidor do DAPE aprove a solicitação de cadastro de outro servidor;
<br>RF04 - O sistema deve permitir que o ADM ou servidor aprove a solicitação de cadastro do docente;
<br>RF05 - O sistema deve responder as solicitações, se aprovadas ou não, enviando um email para os solicitantes de acordo com o email informado no cadastro;


### Gerenciamento de Salas:
<br>RF01 - O sistema deve permitir o cadastro de salas de aula;
<br>RF02 - O sistema deve permitir a visualização das salas de aulas cadastradas e de seus status;
<br>RF03 - O sistema deve permitir a alteração de salas de aula;
<br>RF04 - O sistema deve permtir a exclusão de salas de aula;

### Gerenciamento de Servidores:
<br>RF05 - O sistema deve permitir que o DAPE visualize a lista de servidores cadastrado no sistema;
<br>RF06 - O sistema deve permitir que o DAPE a altere as informações de outros servidores;
<br>RF07 - O sistema deve permitir que o DAPE exclua servidores;

### Gerenciamento de Docentes;
<br>RF08 - O sistema deve permitir que o DAPE visualize a lista de docentes cadastrado no sistema;
<br>RF09 - O sistema deve permitir que o DAPE exclua docentes de docentes;


### Agendamento de salas:
<br>RF15 - O sistema deve permitir a realização de reserva de salas;
<br>RF16 - O sistema deve permitir o cancelamento de reserva de salas;


### Ensalamento:
<br>RF17 - O sistema deve permitir o ensalamento(inclusão de professor a sala);
<br>RF17 - O sistema deve permitir a exclusão do ensalamento(exclusão de professor a sala);


## Regra de Negócio
<br>RG01 - O DAPE ou servidor só aprova a solicitação de conta se os dados estiverem corretos;
<br>RG02 - Somente o DAPE faz o gerencimento de salas;
<br>RG03 - Somente o DAPE faz os ensalamentos;


## Requisitos não funcionais:
<br>RNF01 - O sistema deve ser limpo;
<br>RNF02 - Os sistema deve ser fácil de usar;
<br>RNF03 - Controle de acesso - o docente ou administrador deverá estar logado ao sistema;
<br>RNF04 - O sistema deve conter a integridade dos dados;

## Artefatos

Ao final, o repositório deverá possuir o seguinte conteúdo:

- Arquivo [README.md](README.md), contendo:
    - Nome do projeto
    - Projeto de Software da Fabrica
    - Nome completo dos integrantes
    - Link para o [projeto](projeto.md) com uma breve descrição do escopo do projeto (visão geral).
- Arquivo [projeto.md](projeto.md) com as devidas modificações

- Diretório [img](/img/) contendo:
    1. Imagens do protótipo
    2. Imagens de todos os diagramas elaborados

- Diretório [uml](/uml/) contendo:
    1. Diagrama de Casos de Uso em formato editável
    2. Diagrama de Classes em formato editável
    3. Diagrama de Sequências em formato editável
    4. Diagrama de Atividades em formato editável

- Arquivo [LICENSE](LICENSE) contendo licenciamento [MIT](https://choosealicense.com/licenses/mit/)

- Diagrama de Casos de Uso (modelo editável e imagem armazenados nos respectivos diretórios)
- Diagrama de Classes (modelo editável e imagem armazenados nos respectivos diretórios)
- Diagrama de Atividades (modelo editável e imagem armazenados nos respectivos diretórios)
- Diagrama de Sequências (modelo editável e imagem armazenados nos respectivos diretórios)

## Links Úteis
 [Salário de um desenvolverdor no Brasil](https://br.talent.com/salary?job=programador#:~:text=O%20sal%C3%A1rio%20m%C3%A9dio%20de%20programador,a%20ganhar%20R%2466.000%20anuais)

