import request from "supertest";
import { expect, it } from "@jest/globals";
import app from "../../app.js";

describe("Testes de autenticação com token", () => {
  it('Criar token, deve retonar: Token gerado com sucesso!', async () => {
    const response = await request(app)
      .post('/login')
      .set("Content-Type", "application/json")
      .send({
        siape: '248613',
        senha: 'Senha123@'
      });

    expect(response.status).toBe(200)
    expect(response.body.message).toBe('Token gerado com sucesso!')
    expect(typeof (response.body.data.token)).toBe("string")
    expect(response.body.error).toBe(false)
  });

  it('Deve retornar erro quando tentar realizar login com dados invalidos', async () => {
    const response = await request(app)
      .post('/login') 
      .set("Content-Type", "application/json")
      .send({
        siape: '24861',
        senha: 'Senha123'
      });

    expect(response.status).toBe(400);
  });
  it('Deve retornar erro quando tentar realizar login com dados invalidos', async () => {
    const response = await request(app)
      .post('/login') 
      .set("Content-Type", "application/json")
      .send({
        siape: ' ',
        senha: 'Senha123@'
      });
      expect(response.body.message).toBe("O campo 'siape' fornecido não é um número válido.");
    expect(response.status).toBe(500);
  });
});
