-- MySQL Script generated by MySQL Workbench
-- dom 24 mar 2024 20:24:45
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `db_Agendamento_salas` ;
USE `db_Agendamento_salas` ;

-- -----------------------------------------------------
-- Table `mydb`.`dape`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `db_Agendamento_salas`.`dape` (
  `n_siape_dape` VARCHAR(45) NOT NULL,
  `nome_dape` VARCHAR(45) NOT NULL,
  `email_dape` VARCHAR(45) NOT NULL,
  `senha_dape` VARCHAR(150) NOT NULL,
  `tipo_usuario` VARCHAR(45) NOT NULL,
  `fotoPerfil` VARCHAR(45) NULL,
  PRIMARY KEY (`n_siape_dape`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`docente`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `db_Agendamento_salas`.`docente` (
  `n_siape` VARCHAR(45) NOT NULL,
  `nome_docente` VARCHAR(45) NOT NULL,
  `email_docente` VARCHAR(45) NOT NULL,
  `senha_docente` VARCHAR(150) NOT NULL,
  `turma_docente` VARCHAR(45) NOT NULL,
  `curso_docente` VARCHAR(45) NOT NULL,
  `tipo_usuario` VARCHAR(45) NOT NULL,
  `fotoPerfil_docente` VARCHAR(100) NULL,
  PRIMARY KEY (`n_siape`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`sala`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `db_Agendamento_salas`.`sala` (
  `id_sala` INT NOT NULL auto_increment,
  `bloco_sala` VARCHAR(45) NOT NULL,
  `nome_sala` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`id_sala`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`ensalamento_semestral`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `db_Agendamento_salas`.`ensalamento_semestral` (
  `id_ensalamento` INT NOT NULL auto_increment,
  `data_inicio_ensalamento` DATE NOT NULL,
  `data_fim_ensalamento` DATE NOT NULL,
  `horario_ensalamento` LONGTEXT NOT NULL,
  `repetir` VARCHAR(45) NULL,
  `dape_n_siape_dape` VARCHAR(45) NOT NULL,
  `docente_n_siape` VARCHAR(45) NOT NULL,
  `sala_id_sala` INT NOT NULL,
  PRIMARY KEY (`id_ensalamento`),
  UNIQUE INDEX `id_ensalamento_UNIQUE` (`id_ensalamento` ASC) VISIBLE,
  INDEX `fk_ensalamento_semestral_dape1_idx` (`dape_n_siape_dape` ASC) VISIBLE,
  INDEX `fk_ensalamento_semestral_docente1_idx` (`docente_n_siape` ASC) VISIBLE,
  INDEX `fk_ensalamento_semestral_sala1_idx` (`sala_id_sala` ASC) VISIBLE,
  CONSTRAINT `fk_ensalamento_semestral_dape1`
    FOREIGN KEY (`dape_n_siape_dape`)
    REFERENCES `db_Agendamento_salas`.`dape` (`n_siape_dape`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ensalamento_semestral_docente1`
    FOREIGN KEY (`docente_n_siape`)
    REFERENCES `db_Agendamento_salas`.`docente` (`n_siape`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_ensalamento_semestral_sala1`
    FOREIGN KEY (`sala_id_sala`)
    REFERENCES `db_Agendamento_salas`.`sala` (`id_sala`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `mydb`.`agendamento_eventual`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `db_Agendamento_salas`.`agendamento_eventual` (
  `id_reserva` INT NOT NULL auto_increment,
  `horario_reserva` LONGTEXT NOT NULL,
  `data_reserva` DATE NOT NULL,
  `justificativa` VARCHAR(45) NULL,
  `docente_n_siape` VARCHAR(45) NOT NULL,
  `sala_id_sala` INT NOT NULL,
  PRIMARY KEY (`id_reserva`),
  INDEX `fk_reservas_eventuais_docente1_idx` (`docente_n_siape` ASC) VISIBLE,
  INDEX `fk_reservas_eventuais_sala1_idx` (`sala_id_sala` ASC) VISIBLE,
  CONSTRAINT `fk_reservas_eventuais_docente1`
    FOREIGN KEY (`docente_n_siape`)
    REFERENCES `db_Agendamento_salas`.`docente` (`n_siape`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_reservas_eventuais_sala1`
    FOREIGN KEY (`sala_id_sala`)
    REFERENCES `db_Agendamento_salas`.`sala` (`id_sala`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
