import localFont from "next/font/local";
import "./globals.css";
import ReactQueryProvider from "@/providers/ReactQueryProvider";

import { SidebarProvider, SidebarTrigger, SidebarInset } from "@/components/ui/sidebar"
import { AppSidebar } from "@/components/app-sidebar"
import ModalEnsalamento from "@/components/ModalEnsalamento";

const geistSans = localFont({
  src: "./fonts/GeistVF.woff",
  variable: "--font-geist-sans",
  weight: "100 900",
});
const geistMono = localFont({
  src: "./fonts/GeistMonoVF.woff",
  variable: "--font-geist-mono",
  weight: "100 900",
});

export const metadata = {
  title: "Visualização de Salas",
  description: "Generated by create next app",
};

export default function RootLayout({ children }) {
  return (
    <html lang="pt-BR">
      <ReactQueryProvider>
        <body>
          <SidebarProvider>
            <AppSidebar />
            <SidebarInset>
              <main className={`${geistSans.variable} ${geistMono.variable} antialiased flex`}>
                {children}
              </main>
              <footer className="absolute bottom-0">
                <SidebarTrigger />
              </footer>
            </SidebarInset>
          </SidebarProvider>

        </body>
      </ReactQueryProvider>
    </html>
  );
}
