import { Calendar, DoorOpen, CircleUserRound } from "lucide-react"
import foto from '../../public/images/avatar-default.jpg'

import {
  Sidebar,
  SidebarContent,
  SidebarGroup,
  SidebarGroupContent,
  SidebarGroupLabel,
  SidebarMenu,
  SidebarMenuButton,
  SidebarMenuItem,
  SidebarFooter,
  SidebarHeader,
} from "@/components/ui/sidebar"
import Image from "next/image"

// Menu items.
const items = [
  {
    title: "Reservas",
    url: "#",
    icon: Calendar,
  },
  {
    title: "Salas",
    url: "#",
    icon: DoorOpen,
  },
  {
    title: "Usuários",
    url: "#",
    icon: CircleUserRound,
  },
]

const sair = {
  title: "Sair",
  url: "/logout",
  icon: DoorOpen,
}

export function AppSidebar() {
  return (
    <Sidebar>
      <SidebarContent>
        <SidebarHeader>
          <div className="flex gap-2 items-center">
            <Image
              src={foto}
              alt="foto de perfil"
              width={46}
              height={46}
              className="rounded-full border-2"
            />
            <div>
              <p className="leading-tight text-black font-bold">Olá Professor</p>
              <p className="leading-tight text-black">prof@example.com</p>
            </div>
          </div>
        </SidebarHeader>
        <SidebarGroup>
          <SidebarGroupContent>
            <SidebarMenu>
              {items.map((item) => (
                <SidebarMenuItem key={item.title}>
                  <SidebarMenuButton asChild>
                    <div className="w-full text-black cursor-pointer">
                      <a href={item.url} className="flex flex-row gap-2 items-center">
                        <item.icon size={20} />
                        <span className="text-base">{item.title}</span>
                      </a>
                    </div>
                  </SidebarMenuButton>
                </SidebarMenuItem>
              ))}
            </SidebarMenu>
          </SidebarGroupContent>
        </SidebarGroup>
      </SidebarContent>
      <SidebarFooter>
        <SidebarMenu>
          <SidebarMenuItem>
            <SidebarMenuButton asChild>
              <div className="w-full text-black cursor-pointer">
                <a href={sair.url} className="flex flex-row gap-2 items-center">
                  <sair.icon size={26} />
                  <span className="text-lg">{sair.title}</span>
                </a>
              </div>
            </SidebarMenuButton>
          </ SidebarMenuItem>
        </ SidebarMenu>
      </ SidebarFooter>
    </Sidebar>
  )
}
