/** @type {import('tailwindcss').Config} */
module.exports = {
    darkMode: ["class"],
    content: [
    "./src/pages/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/components/**/*.{js,ts,jsx,tsx,mdx}",
    "./src/app/**/*.{js,ts,jsx,tsx,mdx}",
  ],
  theme: {
  	extend: {
  		colors: {
  			background: 'var(--background)',
  			foreground: 'var(--foreground)',
  			primary: '#89A8B2',
  			secondary: '#5A6C73',
  			hoverBotao: '#84C4D9',
  			cinzaClaro: '#F2F2F2',
        cor: '#C70029',
        fundoDiaAtual: "rgba(132, 196, 217, 0.1)",
  			sidebar: {
  				DEFAULT: 'hsl(var(--sidebar-background))',
  				foreground: 'hsl(var(--sidebar-foreground))',
  				primary: 'hsl(var(--sidebar-primary))',
  				'primary-foreground': 'hsl(var(--sidebar-primary-foreground))',
  				accent: 'hsl(var(--sidebar-accent))',
  				'accent-foreground': 'hsl(var(--sidebar-accent-foreground))',
  				border: 'hsl(var(--sidebar-border))',
  				ring: 'hsl(var(--sidebar-ring))'
  			}
  		},
      animation: {
        necesario: 'necesario 3 ease-out', // Adiciona a animação necesario
        scaleIn: 'scaleIn 0.3s ease-out', // Adiciona a animação scaleIn
        scaleIn2: 'scaleIn 0.3s ease-out 0.5s', // Adiciona a animação scaleIn
        scaleIn3: 'scaleIn 0.3s ease-out 0.3s', // Adiciona a animação scaleIn
        scaleIn4: 'scaleIn 0.3s ease-out 0.2s', // Adiciona a animação scaleIn
      },
      keyframes: {
        necesario: {
          '0%': { transform: 'scale(0)', opacity: '0' }, // Começa invisível
          '100%': { transform: 'scale(1)', opacity: '1' }, // Fica visível
        },
        scaleIn: {
          '0%': { transform: 'scale(0)', opacity: '0' }, // Começa invisível
          '100%': { transform: 'scale(1)', opacity: '1' }, // Fica visível
        },
      },
  		borderRadius: {
  			lg: 'var(--radius)',
  			md: 'calc(var(--radius) - 2px)',
  			sm: 'calc(var(--radius) - 4px)'
  		}
  	}
  },
  plugins: [require("tailwindcss-animate")],
};
